<% data.depts.each do |deptKey, dept| %>
## <%= dept.name %> sub-department

- Product: [<%= dept.pm %>]
- Engineering: [<%= dept.em %>]
- Quality Engineering: [<%= dept.qm %>]
- Product Marketing: [<%= dept.pmm %>]
- Content Marketing: [<%= dept.cm %>]
- Technical Writing: [<%= dept.tw %>]

  <% data.stages.stages.select{|stageKey,stage| stage.dept==deptKey}.each do |stageKey, stage| %>
    <% stageLine=[] %>
    <% stageLine << "Product Manager: [#{stage.pm}]" if stage.pm %>
    <% stageLine << "Product Marketing Manager: [#{stage.pmm}]" if stage.pmm %>
    <% stageLine << "Backend Engineering Manager: [#{stage.backend_engineering_manager}]" if stage.backend_engineering_manager %>
    <% stageLine << "Frontend Engineering Manager: [#{stage.frontend_engineering_manager}]" if stage.frontend_engineering_manager %>
    <% stageLine << "Test Automation Engineer".pluralize(stage.test_automation_engineers.count) + ": " + stage.test_automation_engineers.map{ |test_er| "[#{test_er}]" }.join(", ") if stage.test_automation_engineers %>
    <% stageLine << "UX Designer: [#{stage.ux}]" if stage.ux %>
    <% stageLine << "Content Marketing: [#{stage.cm}]" if stage.cm %>
    <% stageLine << "Technical Writer: [#{stage.tech_writer}]" if stage.tech_writer %>
    <% stageLine << "Internal Customer".pluralize(stage.internal_customers.count) + ": " + stage.internal_customers.map{ |customer| "[#{customer}]" }.join(", ") if stage.internal_customers %>
<%= "##### #{stage.display_name}" %>
<%= "#{stageLine.join(' \\| ')}" if stageLine %>
    <% if stage.groups %>
      <% stage.groups.each do |groupKey, group| %>
        <% groupLine=["#{group.name}<a name=\"#{groupKey}\"></a>"] %>
        <% groupLine << "PM: [#{group.pm}]" if group.pm %>
        <% groupLine << "PMM: [#{group.pmm}]" if group.pmm %>
        <% groupLine << "BEM: [#{group.backend_engineering_manager}]" if group.backend_engineering_manager %>
        <% groupLine << "FEM: [#{group.frontend_engineering_manager}]" if group.frontend_engineering_manager %>
        <% stageLine << "Test Automation Engineer".pluralize(stage.test_automation_engineers.count) + ": " + stage.test_automation_engineers.map{ |test_er| "[#{test_er}]" }.join(", ") if stage.test_automation_engineers %>
        <% groupLine << "UX: [#{group.ux}]" if group.ux %>
        <% groupLine << "CM: [#{group.cm}]" if group.cm %>
        <% groupLine << "TW: [#{group.tech_writer}]" if group.tech_writer %>
        <% groupLine << "Internal Customer".pluralize(group.internal_customers.count) + ": " + group.internal_customers.map{ |customer| "[#{customer}]" }.join(", ") if group.internal_customers %>
<%= "* #{groupLine.join(' \\| ')}" %>
        <% if group.categories %>
          <% group.categories.each do |categoryKey| %>
            <% category = data.categories[categoryKey] %>
            <% puts categoryKey if !category%>
            <% name = if category.available then category.name else "*#{category.name}*" end %>
            <% kbdElement = "" %>
            <% if category.available && (category.available.year == Date.today.year) %>
              <% kbdElement = (category.available <= Date.today) ? "<kbd>New in #{Date.today.year}</kbd>" : "<kbd>Planned #{Date.today.year}</kbd>" %>
            <% elsif category.available && (category.available.year > Date.today.year) %>
              <% kbdElement = "<kbd>Planned #{category.available.year}</kbd>" %>
            <% end %>
            <% categoryLinks = [] %>
            <% categoryLinks << "[Marketing Page](#{category.marketing_page})" if category.marketing_page %>
            <% categoryLinks << "[Documentation](#{category.documentation})" if category.documentation %>
            <% categoryLinks << "[Vision](#{category.vision})" if category.vision %>
<%= "  * #{name}#{kbdElement ? " #{kbdElement} ":''}\\| #{categoryLinks.join(' • ')}" unless categoryLinks.empty? %>
          <% end %>

        <% end %>
      <% end %>

    <% end %>
  <% end %>

<% end %>

[Mark Pundsack]: /company/team/#MarkPundsack
[Kenny Johnston]: /company/team/#kencjohnston
[Eric Brinkman]: /company/team/#ericbrinkman
[Jeremy Watson]: /company/team/#d3arWatson
[Fabio Busatto]: /company/team/#bikebilly
[Joshua Lambert]: /company/team/#joshlambert
[Joshua Lambert (interim)]: : /company/team/#joshlambert
[James Ramsay]: /company/team/#jamesramsay
[Victor Wu]: /company/team/#victorwuky
[Daniel Gruesso]: /company/team/#danielgruesso
[Andreas Kämmerle]: /company/team/#andreasmarc
[Jason Lenny]: /company/team/#j4lenn
[Brendan O'Leary]: /company/team/#olearycrew
[Tamas Szuromi]: /company/team/#metricbrew

[Tommy Morgan]: /company/team/#tommy.morgan
[Dalia Havens]: /company/team/#dhavens
[Tim Zallmann]: /company/team/#tpmtim
[Tommy (interim)]: /company/team/#tommy.morgan
[Dennis Tang (Interim)]: /company/team/#tangdennis
[Elliot Rushton]: /company/team/#ehxor
[Elliot Rushton (Interim)]: /company/team/#ehxor
[Dylan Griffith]: /company/team/#DylanGriffith
[Seth Engelhard]: /company/team/#sethengelhard
[Philippe Lafoucrière]: /company/team/#plafoucriere
[Sean McGivern]: /company/team/#mcgivernsa
[Marin Jankovski]: /company/team/#maxlazio
[Marin Jankovski (Interim)]: /company/team/#maxlazio
[Douwe Maan]: /company/team/#DouweM
[Rachel Nienaber]: /company/team/#rnienaber

[Tim Z (Interim)]: /company/team/#tpmtim
[Clement Ho]: /company/team/#ClemMakesApps
[André Luís (Interim)]: /company/team/#andr3
[Dennis Tang (Interim)]: /company/team/#dennis
[Lukas Eipert (Interim)]: /company/team/#leipert_io

[Ashish Kuthiala]: /company/team/#kuthiala
[John Jeremiah]: /company/team/#j_jeremiah
[Cindy Blake]: /company/team/#cblake2000
[Liam McAndrew]: /company/team/#lmcandrew
[André Luís]: /company/team/#andr3
[William Chia]: /company/team/#thewilliamchia

[Aricka Flowers]: /company/team/#arickaflowers
[Suri Patel]: /company/team/#suripatel
[Erica Lindberg]: /company/team/#EricaLindberg_

[Marcia Ramos]: /company/team/#XMDRamos
[Mike Lewis]: /company/team/#miketechnically
[Evan Read]: /company/team/#eread
[Axil]: /company/team/#_axil

[Darby Frey]: /company/team/#darbyfrey
[John Hampton]: /company/team/#johnrhampton
[Dimitrie Hoekstra]: /company/team/#dimitrieh
[Chris Peressini]: /company/team/#ChrisPeressini
[Pedro Moreira da Silva]: /company/team/#pedromscom
[Jeethu]: /company/team/#jeethukarthik
[Hazel]: /company/team
[Taurie]: /company/team/#tauried
[Amelia]: /company/team/#ameliabauerly
[Andy]: /company/team/#heyandyvolpe

[Dan Davison]: /company/team/#sircapsalot
[Mark Lapierre]: /company/team/#mdlap
[Mek Stittri]: /company/team/#mekdev
[Ramya Authappan]: /company/team/#atramya
[Sanad Liaquat]: /company/team/#sanadliaquat
[Tomislav Nikić]: /company/team/#asktomislav

[Quality Department]: /handbook/engineering/quality/
[Distribution Team]: /handbook/engineering/dev-backend/distribution/
[Release Managers]: /handbook/engineering/release-management/
[Site Availability Engineering]: /handbook/engineering/infrastructure/team/sae/
[Site Reliability Engineering]: /handbook/engineering/infrastructure/team/sre/
[Infrastructure Department]: /handbook/engineering/infrastructure/
[Security Department]: /handbook/engineering/security/
[UX Department]: /handbook/engineering/ux/
[Gitter]: /handbook/engineering/dev-backend/gitter/
[Tech Writers]: /handbook/product/technical-writing/

[Pages]: /product/pages/
[Geo]: /features/gitlab-geo/
[Continuous Integration (CI)]: /features/gitlab-ci-cd/
[Continuous Delivery (CD)]: /features/gitlab-ci-cd/
[Subgroups]: /features/subgroups/
[Service Desk]: /product/service-desk/
